textimate.admin:
  path: '/admin/structure/textimate'
  defaults:
    _title: 'Text animate'
    _form: '\Drupal\textimate\TextimateAdmin'
  requirements:
    _permission: 'administer textimate'
  options:
    _admin_route: TRUE

textimate.add:
  path: '/admin/structure/textimate/add'
  defaults:
    _form: '\Drupal\textimate\Form\TextimateForm'
    _title: 'Add effect'
  requirements:
    _permission: 'administer textimate'

textimate.edit:
  path: '/admin/structure/textimate/edit/{tid}'
  defaults:
    _form: '\Drupal\textimate\Form\TextimateForm'
    _title: 'Edit effect'
  requirements:
    _permission: 'administer textimate'

textimate.delete:
  path: '/admin/structure/textimate/delete/{tid}'
  defaults:
    _form: '\Drupal\textimate\Form\TextimateDelete'
    _title: 'Delete effect'
  requirements:
    _permission: 'administer textimate'

textimate.duplicate:
  path: '/admin/structure/textimate/duplicate/{tid}'
  defaults:
    _form: '\Drupal\textimate\Form\TextimateDuplicate'
    _title: 'Duplicate effect'
  requirements:
    _permission: 'administer textimate'

textimate.settings:
  path: '/admin/config/user-interface/textimate'
  defaults:
    _form: '\Drupal\textimate\Form\TextimateSettings'
    _title: 'Textimate'
  requirements:
    _permission: 'administer textimate'
